> ## Documentation Index
> Fetch the complete documentation index at: https://developers.nuvia.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get contact by ID

> Returns the full data of a specific contact



## OpenAPI

````yaml /en/openapi.json get /v1/contacts/{id}
openapi: 3.0.0
info:
  title: Nuvia API - Company
  description: API documentation for companies
  version: '1.0'
  contact: {}
servers:
  - url: https://api.nuvia.ai
security: []
tags:
  - name: messages
    x-group: Mensagens
  - name: contacts
    x-group: Contatos
  - name: campaigns
    x-group: Campanhas
  - name: tables
    x-group: Tabelas e Listas
  - name: agents
    x-group: Agentes
  - name: conversations
    x-group: Conversas
  - name: inboxes
    x-group: Caixas de Entrada
  - name: knowledge
    x-group: Base de Conhecimento
  - name: Webhooks
    x-group: Webhooks
  - name: campaign-enrollments
    x-group: Inscrições em Campanha
  - name: custom-fields
    x-group: Campos Customizados
paths:
  /v1/contacts/{id}:
    get:
      tags:
        - contacts
      summary: Get contact by ID
      description: Returns the full data of a specific contact
      operationId: ContactController_findContact
      parameters:
        - name: x-company-id
          in: header
          description: >-
            Target company identifier. Required only for global API keys
            (type=global). Ignored for company API keys and human users.
          required: false
          schema:
            type: string
        - name: id
          required: true
          in: path
          description: Contact ID
          schema:
            type: string
      responses:
        '200':
          description: Contact found successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ContactResponseDto'
        '401':
          description: Invalid or expired token
        '403':
          description: You do not have permission to access this resource
        '404':
          description: Resource not found
      security:
        - JWT-auth: []
components:
  schemas:
    ContactResponseDto:
      type: object
      properties:
        _id:
          description: Contact ID
          type: string
        name:
          type: string
          description: Contact name
        country_code:
          type: string
          description: Country code of the phone number
        email:
          description: Contact's email
          type: string
        last_activity_at:
          description: Date of the contact's last activity
        phone_number:
          type: string
          description: Contact's phone number
        linkedin_identifier:
          description: LinkedIn profile identifier
          type: string
        job_title:
          description: Contact's job title
          type: string
        seniority:
          description: Contact's seniority level
          type: string
        department:
          description: Contact's department
          type: string
        country:
          description: Contact's country
          type: string
        region:
          description: Contact's state or region
          type: string
        city:
          description: Contact's city
          type: string
        experience:
          description: Contact's professional experience
          type: string
        skills:
          description: Contact's skills
          type: string
        additional_attributes:
          description: Additional contact attributes
        company:
          description: Contact's company
        createdAt:
          description: Contact creation date
        updatedAt:
          description: Contact update date
      required:
        - name
        - country_code
        - phone_number
        - company
  securitySchemes:
    JWT-auth:
      scheme: bearer
      bearerFormat: JWT
      type: http
      description: Token JWT de autenticação

````